Package org.flowable.dmn.api

# Class RuleExecutionAuditContainer

java.lang.Object
org.flowable.dmn.api.RuleExecutionAuditContainer

public class RuleExecutionAuditContainer extends Object

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ExpressionExecution>`
  `conclusionResults`
  `protected List<ExpressionExecution>`
  `conditionResults`
  `protected Date`
  `endTime`
  `protected String`
  `exceptionMessage`
  `protected int`
  `ruleNumber`
  `protected Date`
  `startTime`
  `protected Boolean`
  `valid`
  `protected String`
  `validationMessage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleExecutionAuditContainer(int ruleNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConclusionResult(ExpressionExecution executionResult)`
  `void`
  `addConditionResult(ExpressionExecution expressionExecution)`
  `List<ExpressionExecution>`
  `getConclusionResults()`
  `List<ExpressionExecution>`
  `getConditionResults()`
  `Date`
  `getEndTime()`
  `String`
  `getExceptionMessage()`
  `int`
  `getRuleNumber()`
  `Date`
  `getStartTime()`
  `String`
  `getValidationMessage()`
  `Boolean`
  `isValid()`
  `void`
  `markRuleEnd()`
  `void`
  `setEndTime(Date endTime)`
  `void`
  `setExceptionMessage(String exceptionMessage)`
  `void`
  `setStartTime(Date startTime)`
  `void`
  `setValid()`
  `void`
  `setValidationMessage(String validationMessage)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### startTime

    protected Date startTime

  - ### endTime

    protected Date endTime

  - ### ruleNumber

    protected int ruleNumber

  - ### valid

    protected Boolean valid

  - ### exceptionMessage

    protected String exceptionMessage

  - ### validationMessage

    protected String validationMessage

  - ### conditionResults

    protected List<ExpressionExecution> conditionResults

  - ### conclusionResults

    protected List<ExpressionExecution> conclusionResults

- ## Constructor Details

  - ### RuleExecutionAuditContainer

    public RuleExecutionAuditContainer(int ruleNumber)

- ## Method Details

  - ### addConditionResult

    public void addConditionResult(ExpressionExecution expressionExecution)

  - ### addConclusionResult

    public void addConclusionResult(ExpressionExecution executionResult)

  - ### markRuleEnd

    public void markRuleEnd()

  - ### getStartTime

    public Date getStartTime()

  - ### setStartTime

    public void setStartTime(Date startTime)

  - ### getEndTime

    public Date getEndTime()

  - ### setEndTime

    public void setEndTime(Date endTime)

  - ### getRuleNumber

    public int getRuleNumber()

  - ### isValid

    public Boolean isValid()

  - ### setValid

    public void setValid()

  - ### getExceptionMessage

    public String getExceptionMessage()

  - ### setExceptionMessage

    public void setExceptionMessage(String exceptionMessage)

  - ### getValidationMessage

    public String getValidationMessage()

  - ### setValidationMessage

    public void setValidationMessage(String validationMessage)

  - ### getConditionResults

    public List<ExpressionExecution> getConditionResults()

  - ### getConclusionResults

    public List<ExpressionExecution> getConclusionResults()